Subject: Re: What's cooking in git.git (Oct 2021, #03; Mon, 11)

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 14 Oct 2021 17:50:51 +0200

On Wed, Oct 13 2021, Junio C Hamano wrote:

> Junio C Hamano <[email-masked]> writes:
>
>> * js/retire-preserve-merges (2021-09-07) 11 commits
>>   (merged to 'next' on 2021-09-10 at f645ffd7a3)
>>  + sequencer: restrict scope of a formerly public function
>>  + rebase: remove a no-longer-used function
>>  + rebase: stop mentioning the -p option in comments
>>  + rebase: remove obsolete code comment
>>  + rebase: drop the internal `rebase--interactive` command
>>  + git-svn: drop support for `--preserve-merges`
>>  + rebase: drop support for `--preserve-merges`
>>  + pull: remove support for `--rebase=preserve`
>>  + tests: stop testing `git rebase --preserve-merges`
>>  + remote: warn about unhandled branch.<name>.rebase values
>>  + t5520: do not use `pull.rebase=preserve`
>>
>>  The "--preserve-merges" option of "git rebase" has been removed.
>>
>>  Will cook in 'next'.
>
> I am tempted to merge this down to 'master' soonish, in time for the
> next feature release that is planned to happen mid November.
>
> Opinions?

I'm all for it, and FWIW really understand the carefulness with that
topic. I.e. the actual code changes are rather straightforward and well
understood.

Any actual breakage with it is likely due to some unexpected 3rd party
workflow needing this deprecated mode still, which surely we're better
of finding out sooner than later pre-release (if such users even test
pre-releases...).